package safe_int

import (
	"testing"
)

/*
	Тест для безопасного целого
*/

// Тестер для безопасного целого
type tester struct {
	t  *testing.T
	si *БезопЦелое
}

func TestSafeInt(t *testing.T) {
	test := &tester{
		t: t,
	}
	test.create()
	test.set()
}

// Установка значения
func (сам *tester) set() {
	сам.t.Logf("=set=\n")
	сам.si.Уст(-8)
	if val := сам.si.Получ(); val != -8 {
		сам.t.Errorf("create(): val(%d)!=-8\n", val)
	}
}

// Создание целого
func (сам *tester) create() {
	сам.t.Logf("=create=\n")
	сам.si = НовБезопЦелое()
	if сам.si == nil {
		сам.t.Errorf("create(): safeInt==nil\n")
	}
	if val := сам.si.Получ(); val != 0 {
		сам.t.Errorf("create(): val(%d)!=0\n", val)
	}
}
